aws-0.24.2: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.ListUsers

Synopsis

- data ListUsers = ListUsers {
  - luPathPrefix :: Maybe Text
  - luMarker :: Maybe Text
  - luMaxItems :: Maybe Integer
  }
- data ListUsersResponse = ListUsersResponse {
  - lurUsers :: [User]
  - lurIsTruncated :: Bool
  - lurMarker :: Maybe Text
  }
- data User = User {
  - userArn :: Text
  - userCreateDate :: UTCTime
  - userPath :: Text
  - userUserId :: Text
  - userUserName :: Text
  }

# Documentation

data ListUsers #

Lists users that have the specified path prefix.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_ListUsers.html

Constructors

ListUsers |

Fields

- luPathPrefix :: Maybe Text

  Users defined under this path will be listed. If omitted, defaults to `/`, which lists all users.

- luMarker :: Maybe Text

  Used for paginating requests. Marks the position of the last request.

- luMaxItems :: Maybe Integer

  Used for paginating requests. Specifies the maximum number of items to return in the response. Defaults to 100.

#### Instances

Instances details

SignQuery ListUsers # |

Instance details

Defined in Aws.Iam.Commands.ListUsers

Associated Types

type ServiceConfiguration ListUsers |
Instance details Defined in Aws.Iam.Commands.ListUsers type ServiceConfiguration ListUsers = IamConfiguration

Methods

signQuery :: ListUsers -> ServiceConfiguration ListUsers queryType -> SignatureData -> SignedQuery #

Show ListUsers # |
Instance details Defined in Aws.Iam.Commands.ListUsers Methods showsPrec :: Int -> ListUsers -> ShowS # show :: ListUsers -> String # showList :: [ListUsers] -> ShowS #
Eq ListUsers # |
Instance details Defined in Aws.Iam.Commands.ListUsers Methods (==) :: ListUsers -> ListUsers -> Bool # (/=) :: ListUsers -> ListUsers -> Bool #
Ord ListUsers # |
Instance details Defined in Aws.Iam.Commands.ListUsers Methods compare :: ListUsers -> ListUsers -> Ordering # (<) :: ListUsers -> ListUsers -> Bool # (<=) :: ListUsers -> ListUsers -> Bool # (>) :: ListUsers -> ListUsers -> Bool # (>=) :: ListUsers -> ListUsers -> Bool # max :: ListUsers -> ListUsers -> ListUsers # min :: ListUsers -> ListUsers -> ListUsers #
IteratedTransaction ListUsers ListUsersResponse # |
Instance details Defined in Aws.Iam.Commands.ListUsers Methods nextIteratedRequest :: ListUsers -> ListUsersResponse -> Maybe ListUsers #
ResponseConsumer ListUsers ListUsersResponse # |

Instance details

Defined in Aws.Iam.Commands.ListUsers

Associated Types

type ResponseMetadata ListUsersResponse |
Instance details Defined in Aws.Iam.Commands.ListUsers type ResponseMetadata ListUsersResponse = IamMetadata

Methods

responseConsumer :: Request -> ListUsers -> IORef (ResponseMetadata ListUsersResponse) -> HTTPResponseConsumer ListUsersResponse #

Transaction ListUsers ListUsersResponse # |
Instance details Defined in Aws.Iam.Commands.ListUsers
type ServiceConfiguration ListUsers # |
Instance details Defined in Aws.Iam.Commands.ListUsers type ServiceConfiguration ListUsers = IamConfiguration

data ListUsersResponse #

Constructors

ListUsersResponse |

Fields

- lurUsers :: [User]

  List of `User`s.

- lurIsTruncated :: Bool

  `True` if the request was truncated because of too many items.

- lurMarker :: Maybe Text

  Marks the position at which the request was truncated. This value must be passed with the next request to continue listing from the last position.

#### Instances

Instances details

AsMemoryResponse ListUsersResponse # |

Instance details

Defined in Aws.Iam.Commands.ListUsers

Associated Types

type MemoryResponse ListUsersResponse |
Instance details Defined in Aws.Iam.Commands.ListUsers type MemoryResponse ListUsersResponse = ListUsersResponse

Methods

loadToMemory :: ListUsersResponse -> ResourceT IO (MemoryResponse ListUsersResponse) #

Show ListUsersResponse # |
Instance details Defined in Aws.Iam.Commands.ListUsers Methods showsPrec :: Int -> ListUsersResponse -> ShowS # show :: ListUsersResponse -> String # showList :: [ListUsersResponse] -> ShowS #
Eq ListUsersResponse # |
Instance details Defined in Aws.Iam.Commands.ListUsers Methods (==) :: ListUsersResponse -> ListUsersResponse -> Bool # (/=) :: ListUsersResponse -> ListUsersResponse -> Bool #
Ord ListUsersResponse # |

Instance details

Defined in Aws.Iam.Commands.ListUsers

Methods

compare :: ListUsersResponse -> ListUsersResponse -> Ordering #

(<) :: ListUsersResponse -> ListUsersResponse -> Bool #

(<=) :: ListUsersResponse -> ListUsersResponse -> Bool #

(>) :: ListUsersResponse -> ListUsersResponse -> Bool #

(>=) :: ListUsersResponse -> ListUsersResponse -> Bool #

max :: ListUsersResponse -> ListUsersResponse -> ListUsersResponse #

min :: ListUsersResponse -> ListUsersResponse -> ListUsersResponse #

IteratedTransaction ListUsers ListUsersResponse # |
Instance details Defined in Aws.Iam.Commands.ListUsers Methods nextIteratedRequest :: ListUsers -> ListUsersResponse -> Maybe ListUsers #
ResponseConsumer ListUsers ListUsersResponse # |

Instance details

Defined in Aws.Iam.Commands.ListUsers

Associated Types

type ResponseMetadata ListUsersResponse |
Instance details Defined in Aws.Iam.Commands.ListUsers type ResponseMetadata ListUsersResponse = IamMetadata

Methods

responseConsumer :: Request -> ListUsers -> IORef (ResponseMetadata ListUsersResponse) -> HTTPResponseConsumer ListUsersResponse #

Transaction ListUsers ListUsersResponse # |
Instance details Defined in Aws.Iam.Commands.ListUsers
type MemoryResponse ListUsersResponse # |
Instance details Defined in Aws.Iam.Commands.ListUsers type MemoryResponse ListUsersResponse = ListUsersResponse
type ResponseMetadata ListUsersResponse # |
Instance details Defined in Aws.Iam.Commands.ListUsers type ResponseMetadata ListUsersResponse = IamMetadata

data User #

The IAM `User` data type.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_User.html

Constructors

User |

Fields

- userArn :: Text

  ARN used to refer to this user.

- userCreateDate :: UTCTime

  Date and time at which the user was created.

- userPath :: Text

  Path under which the user was created.

- userUserId :: Text

  Unique identifier used to refer to this user.

- userUserName :: Text

  Name of the user.

#### Instances

Instances details

Show User # |
Instance details Defined in Aws.Iam.Core Methods showsPrec :: Int -> User -> ShowS # show :: User -> String # showList :: [User] -> ShowS #
Eq User # |
Instance details Defined in Aws.Iam.Core Methods (==) :: User -> User -> Bool # (/=) :: User -> User -> Bool #
Ord User # |
Instance details Defined in Aws.Iam.Core Methods compare :: User -> User -> Ordering # (<) :: User -> User -> Bool # (<=) :: User -> User -> Bool # (>) :: User -> User -> Bool # (>=) :: User -> User -> Bool # max :: User -> User -> User # min :: User -> User -> User #